#!/bin/bash

QCG_MONITOR_MESSAGE=''


function encode_map_section {
	local sectionname=$1
	local varname=$2

	if [ -n "$varname" ]; then
		[ -n "$QCG_MONITOR_MESSAGE" ] && QCG_MONITOR_MESSAGE="$QCG_MONITOR_MESSAGE,"$'\n'
		QCG_MONITOR_MESSAGE="${QCG_MONITOR_MESSAGE}\"${sectionname}\": { ${varname} }"
	fi
}


function encode_array_section {
	local sectionname=$1
	local varname=$2

	if [ -n "$varname" ]; then
		[ -n "$QCG_MONITOR_MESSAGE" ] && QCG_MONITOR_MESSAGE="$QCG_MONITOR_MESSAGE,"$'\n'
		QCG_MONITOR_MESSAGE="${QCG_MONITOR_MESSAGE}\"${sectionname}\": [ ${varname} ]"
	fi
}


function encode_other_sections {
	local other="$1"

	if [ -n "$other" ]; then
		[ -n "$QCG_MONITOR_MESSAGE" ] && QCG_MONITOR_MESSAGE="$QCG_MONITOR_MESSAGE,"$'\n'
		QCG_MONITOR_MESSAGE="${QCG_MONITOR_MESSAGE}$other"
	fi
}


function encode_message {
	encode_map_section "options" "$QCG_MONITOR_SECTION_OPTIONS"
	encode_map_section "job" "$QCG_MONITOR_SECTION_JOB"
	encode_map_section "status" "$QCG_MONITOR_SECTION_STATUS"
	encode_array_section "text" "$QCG_MONITOR_SECTION_TEXT"

	encode_other_sections "$QCG_MONITOR_SECTIONS_OTHER"

	QCG_MONITOR_MESSAGE="{ $QCG_MONITOR_MESSAGE }"
}


encode_message
