#!/bin/bash


function qcg_monitor_gaussian() {
	local sections

	# energy
	local energy_section
	for i in `grep "SCF Done:" "$QCG_OUTERR_FILE" | awk '{print $5}'`; do
		append_section_numeric_item energy_section "$energy_section" "$i"
	done
	append_array_section sections "$sections" "Energy" "$energy_section"

	# maxforce
	local maxforce_section
	for i in `grep "^ Maximum Force" "$QCG_OUTERR_FILE" | awk '{print $3}'`; do
		append_section_numeric_item maxforce_section "$maxforce_section" "$i"
	done
	append_array_section sections "$sections" "MaxForce" "$maxforce_section"

	# rmsforce
	local rmsforce_section
	for i in `grep "^ RMS     Force" "$QCG_OUTERR_FILE" | awk '{print $3}'`; do
		append_section_numeric_item rmsforce_section "$rmsforce_section" "$i"
	done
	append_array_section sections "$sections" "RMSForce" "$rmsforce_section"

	# maxdispl
	local maxdispl_section
	for i in `grep "^ Maximum Displacement" "$QCG_OUTERR_FILE" | awk '{print $3}'`; do
		append_section_numeric_item maxdispl_section "$maxdispl_section" "$i"
	done
	append_array_section sections "$sections" "MaxDispl" "$maxdispl_section"

	# rmsdispl
	local rmsdispl_section
	for i in `grep "^ RMS     Displacement" "$QCG_OUTERR_FILE" | awk '{print $3}'`; do
		append_section_numeric_item rmsdispl_section "$rmsdispl_section" "$i"
	done
	append_array_section sections "$sections" "RMSDispl" "$rmsdispl_section"

	append_sections "$sections"
}
