#!/bin/bash

. $QCG_APPMON_SCRIPTS_DIR/utils/images_watch.sh


function qcg_monitor_piernik() {
	local sections

	local WPREFIX=sedov_tst_000
	local IMG_PATTERN="pics/dend_kepler_tst_#X##X##X##X#.png"

	if [ -f "$WPREFIX.log" ]; then
		local status=`tac ${WPREFIX}.log | grep -e "\s*@\s*0:\s*nstep\s*=" -m 1 || echo "-"`
		status=`echo "$status" | sed -e 's/^[ ]\+@[ ]\+//'`
		[ -n "$status" ] && append_section_map_item sections "$sections" "status" "$status"
	fi

	if [ -f "$WPREFIX.tsl" ]; then
		local headers=`head -n 1 ${WPREFIX}.tsl`
		[ -n "$headers" ] && append_section_map_item sections "$sections" "headers" "$headers"

		table_data=`grep -v '^#' ${WPREFIX}.tsl`

		local rows_section
		while read line; do
			append_section_item rows_section "$rows_section" "$line"
		done <<< "$table_data"
		[ -n "$rows_section" ] && append_array_section sections "$sections" "rows" "$rows_section"
	fi

	if [ -d "`dirname \"$IMG_PATTERN\"`" ]; then
		local images_section
		for file in `images_numbered_get_last "$IMG_PATTERN" 10`; do
			if [ -f "$file" ]; then
				local data=`base64 -w 0 $file`
				local image="{\"name\": \"dend_kepler_tst\",\"data\": \"$data\"}"

				append_section_numeric_item images_section "$images_section" "$image"
			fi
		done
		[ -n "$images_section" ] && append_array_section sections "$sections" "images" "$images_section"
	fi

	append_sections "$sections"
}
