#!/bin/bash

. $( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/common.app

if [ ! "$(ldapsearch -x -H ldap://nova -b ou=people,dc=wcss,dc=plgrid,dc=pl "(&(uid=$USER)(mail=*@pwr.edu.pl))" -LLL )" ]
then
    echo "Wersja R2012a_pwr jest dostepna jedynie dla pracownikow Politechniki Wroclawskiej"
    exit 4
fi

module load matlab/R2012a_pwr

for x_port in `seq 1 12`; do
    Xvfb :$x_port -nolisten tcp -shmem 2>.xvfb.log 1>&2 &
    XVFB_PID=$!
    export DISPLAY=":$x_port"
    sleep 1
    kill -0 $XVFB_PID 2>/dev/null && break
done
echo DISPLAY=$DISPLAY

MATLAB_OPTS="-nosplash -nodesktop"

. $QCG_APP_ROOT_DIR/app-scripts/matlab.qcg
