#ifndef FILE_SSL_CLIENT_DEBUG_H
#define FILE_SSL_CLIENT_DEBUG_H

#include <stdio.h>

#define L_DEBUG		0
#define L_INFO		1
#define L_WARN		2
#define L_ERROR		3


#define LOG(level,...)		log_print_debug(level, __VA_ARGS__)

#define ERR_EXIT(...)		log_print_errno_exit(__VA_ARGS__)


void log_set_output(FILE *out);

void log_set_level(int level);

void log_print_debug(int level, const char *format, ...);

void log_print_errno_exit(const char *format, ...);


#endif /* FILE_SSL_CLIENT_DEBUG_H */
