#ifndef FILE_INTERACTIVE_UTIL_H
#define FILE_INTERACTIVE_UTIL_H

#include <openssl/bio.h>
#include <openssl/ssl.h>
#include <openssl/err.h>
#include <openssl/x509v3.h>


struct ssl_data {
  BIO *bio;
  SSL_CTX *ctx;
  SSL *ssl;
  char cert_file[256];
  char ca_certs_path[256];
};


int find_proxy_cert(char *buffer, size_t len);

int find_ca_path(char *buffer, size_t len);

int ssl_setup(int fd, struct ssl_data *ssl);

int ssl_read(struct ssl_data *ssl, int count, char *buf);

int ssl_write(struct ssl_data *ssl, int count, char *buf);


#endif /* FILE_INTERACTIVE_UTIL_H */
